%global realname luwak
%global debug_package %{nil}
%global git_tag d099354


Name:		erlang-%{realname}
Version:	1.0.0
Release:	1%{?dist}
Summary:	Large-object storage interface for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/luwak
# wget --no-check-certificate https://github.com/basho/luwak/tarball/luwak-1.0.0
Source0:	basho-%{realname}-%{realname}-%{version}-0-g%{git_tag}.tar.gz
Patch1:		erlang-luwak-0001-Don-t-check-for-deps-Fedora-EPEL-specific.patch
Patch2:		erlang-luwak-0002-Fix-include-path-for-riak_kv-headers-Fedora-EPEL-spe.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_kv
BuildRequires:	erlang-webmachine
Requires: erlang-crypto
Requires: erlang-erts
Requires: erlang-kernel
Requires: erlang-luke
Requires: erlang-mochiweb
Requires: erlang-riak_core
Requires: erlang-riak_kv
Requires: erlang-skerl
Requires: erlang-stdlib
Requires: erlang-webmachine
%{?__erlang_provides_requires: %{__erlang_provides_requires}}


%description
Large-object storage interface for Riak.


%prep
%setup -q -n basho-%{realname}-%{git_tag}
%patch1 -p1 -b .nodeps
%patch2 -p1 -b .fix_include
rm doc/doc/edoc-info


%build
rebar compile


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/%{realname}.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/* README.mdown
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl


%changelog
* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20101112gitb24f821
- Initial build

